Kworker takes 100% CPU after installing OSX Yosemite upgrade

Bug #1403653 reported by Jussi Pakkanen on 2014-12-17
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
High
Unassigned

Bug Description

When running on a Macbook Pro Retina that has had its OSX install upgraded to Yosemite, a kworker process constantly takes 100% CPU.

When grepping for large values in /sys/firmware/acpi/interrupts, this one stands out:

/sys/firmware/acpi/interrupts/gpe66: 2510732 enabled

Trying to disable it with

echo disable > /sys/firmware/acpi/interrupts/gpe66

makes the CPU load go away.

This will also prevent installation of Ubuntu, because if you try to install when kworker is running causes ubiquity to hang while trying to format the disk.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: linux-image-3.16.0-28-generic 3.16.0-28.38
ProcVersionSignature: Ubuntu 3.16.0-28.38-generic 3.16.7-ckt1
Uname: Linux 3.16.0-28-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jpakkane 2346 F.... pulseaudio
 /dev/snd/controlC0: jpakkane 2346 F.... pulseaudio
CurrentDesktop: Unity
Date: Wed Dec 17 23:36:32 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-12-17 (0 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
MachineType: Apple Inc. MacBookPro11,1
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-28-generic.efi.signed root=UUID=7196f220-ff77-4982-bfc1-03506a8013f7 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-28-generic N/A
 linux-backports-modules-3.16.0-28-generic N/A
 linux-firmware 1.138
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/29/2014
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP111.88Z.0138.B11.1408291433
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-189A3D4F975D5FFC
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro11,1
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-189A3D4F975D5FFC
dmi.modalias: dmi:bvnAppleInc.:bvrMBP111.88Z.0138.B11.1408291433:bd08/29/2014:svnAppleInc.:pnMacBookPro11,1:pvr1.0:rvnAppleInc.:rnMac-189A3D4F975D5FFC:rvrMacBookPro11,1:cvnAppleInc.:ct10:cvrMac-189A3D4F975D5FFC:
dmi.product.name: MacBookPro11,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Jussi Pakkanen (jpakkane) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-vivid/

tags: added: kernel-da-key
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Also, did this issue start happening in Utopic, or did it also exist in prior releases.

Joseph Salisbury (jsalisbury) wrote :

This is possibly a duplicate of upstream bug:
https://bugzilla.kernel.org/show_bug.cgi?id=85881

Joseph Salisbury (jsalisbury) wrote :
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Jussi Pakkanen (jpakkane) wrote :

The newest upstream kernel has the same bug. The symptoms in that upstream bug are identical (I also got this after an update to Yosemite) so this is almost certainly the same.

summary: - Kworker takes 100% CPU when booting with efi
+ Kworker takes 100% CPU after installing OSX Yosemite upgrade
description: updated
bwat47 (bwat47) wrote :

If anyone needs a good workaround, this worked perfectly for me on a mba 2013 running 14.04: http://carlocapocasa.com/crushing-the-kworker-uprising-or-how-to-fix-your-linux-lenovo-ideapad-y560p/

Zafar Khaydarov (zafarella) wrote :

Confirming the bug.
kernel = 3.16.0-33-generic
Ubuntu 14.04.2 LTS

for me it was gpe06. Fixed using following http://sudoremember.blogspot.com/2013/05/high-cpu-usage-due-to-kworker.html

Tedesco (tedesco-z) wrote :

Hallo, I like to confirm also the behaviour with the gpe13 in my case.
uname -a:
LIFEBOOK-AH544 3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux, last weekend a very new installation.
Pendrive ISO:
Origin: Ubuntu
Label: Ubuntu
Suite: trusty
Version: 14.04
Codename: trusty
Date: Thu, 08 May 2014 14:19:09 UTC
Architectures: amd64 i386
Components: main restricted
Description: Ubuntu Trusty 14.04

One of the 8 threads was all the time at 80% and back from suspension it goes up to 98%.

I used also this indications to keep the CPU load (1º thread) down ...
http://sudoremember.blogspot.com.es/2013/05/high-cpu-usage-due-to-kworker.html
…. but then it was not possible to suspend the system.
The click on “suspend” or closing the Lifebook, only results in blockage of the session but without stop of the system.

ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: alex 1639 F.... pulseaudio
 /dev/snd/controlC1: alex 1639 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=62709f46-3666-4820-ab0d-e0e93f7dc330
InstallationDate: Installed on 2016-04-17 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160416)
MachineType: Apple Inc. MacBookPro11,2
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-18-generic.efi.signed root=UUID=b928074e-761a-4287-bb96-fc9d464aac45 ro noprompt quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-18-generic N/A
 linux-backports-modules-4.4.0-18-generic N/A
 linux-firmware 1.157
Tags: xenial
Uname: Linux 4.4.0-18-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 06/05/2015
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP112.88Z.0138.B15.1506050548
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-3CBD00234E554E41
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro11,2
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-3CBD00234E554E41
dmi.modalias: dmi:bvnAppleInc.:bvrMBP112.88Z.0138.B15.1506050548:bd06/05/2015:svnAppleInc.:pnMacBookPro11,2:pvr1.0:rvnAppleInc.:rnMac-3CBD00234E554E41:rvrMacBookPro11,2:cvnAppleInc.:ct10:cvrMac-3CBD00234E554E41:
dmi.product.name: MacBookPro11,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

tags: added: apport-collected xenial

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Alex Willmer (alex-moreati) wrote :

Just to confirm this still affects Xenial on a MacbookPro11,2

dscTobi (tobi-ua-trash) wrote :

Affects Xenial on MacbookPro mid 14

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.